<template>
  <div id="popup" class="s-map-popup-panel" style="min-width: 280px;max-width: 280px;padding: 0 10px">
    <el-tabs type="card" :value="0">
      <el-tab-pane
              :key="index"
              v-for="(item,index) in datas"
              :label="item.title"
              :name="index.toString()"
      >
        <el-row v-for="(item,key)  in item.content" :key="key">
          <el-col :span="12"><B>{{key}}：</B></el-col>
          <el-col :span="12">{{item}}</el-col>
        </el-row>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
// import '@/assets/css/map/map-popup.scss'

export default {
  name: 'Popup',
  props: ['datas'],
  data () {
    return {
      tabsValue: '',
      tabIndex: 2,
      isShow: false,
      properties: {}
    }
  },
  computed: {
  },
  methods: {
    filter (content) {
      var obj = {}
      for (const key in content) {
        if (this.props[key]) {
          obj[this.props[key]] = content[key]
        }
      }
      // console.log(obj)
      return obj
    },
    setShow () {
      // this.style.display='auto'
      this.isShow = true
    },
    onClick () {
      const param = 1111
      this.$emit('callPopup', param)
    }
  },
  watch: {
    datas (newVal) {
      if (newVal != null) {
        this.tabsValue = newVal[0].name
      }
    }
  }
}
</script>

<style lang="less" >
@import '../../assets/css/map/map-popup.less';
#popup{
 .el-tabs__content{
    max-height: 240px;
    overflow-y: scroll;
  }
}
</style>
